file-roller crashed with SIGSEGV in g_simple_async_result_complete()

Bug #850840 reported by Islam Wazery on 2011-09-15
388
This bug affects 84 people
Affects Status Importance Assigned to Milestone
File Roller
New
Undecided
Unassigned
file-roller (Ubuntu)
Medium
Unassigned

Bug Description

I have this crash just after the startup!

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: file-roller 3.1.91-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-9.15-generic 3.0.3
Uname: Linux 3.0.0-9-generic i686
NonfreeKernelModules: fglrx
ApportVersion: 1.22.1-0ubuntu2
Architecture: i386
Date: Thu Sep 15 09:09:35 2011
ExecutablePath: /usr/bin/file-roller
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
ProcCmdline: file-roller /home/username/development/Qt\ development/QOgre1.0.0.0-build-desktop/meshes/SdkTrays.zip
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x8d13e2: mov %eax,0x24(%edi)
 PC (0x008d13e2) ok
 source "%eax" ok
 destination "0x24(%edi)" (0xaaaaaace) not located in a known VMA region (needed writable region)!
SegvReason: writing unknown VMA
Signal: 11
SourcePackage: file-roller
StacktraceTop:
 ?? () from /usr/lib/libgtk-3.so.0
 g_simple_async_result_complete () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
 ?? () from /usr/lib/libgtk-3.so.0
 g_simple_async_result_complete () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
 ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
Title: file-roller crashed with SIGSEGV in g_simple_async_result_complete()
UpgradeStatus: Upgraded to oneiric on 2011-09-14 (1 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Islam Wazery (wazery) wrote :

StacktraceTop:
 gtk_arrow_class_init (class=0x8da5590) at /build/buildd/gtk+3.0-3.1.90/./gtk/gtkarrow.c:127
 gtk_arrow_class_intern_init (klass=0x8da5590) at /build/buildd/gtk+3.0-3.1.90/./gtk/gtkarrow.c:90
 ?? ()

Changed in file-roller (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
visibility: private → public
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in file-roller (Ubuntu):
status: New → Confirmed

Here I got the error at Nautilus:
1) Right click in a .rar file
2) "Extract here"

The crash happens.

Here, open file-roller do not causes the crash.
I'm using Ubuntu Quantal Alpha

matti salminen (salmiset) wrote :

From Nautilus, select two .rar files and Extract Here results in a crash in up-to-date 64-bit Quantal Alpha3.

Yeah, the same case and ubuntu version of saulotoledo.

KroArtem (kroartem) wrote :

The same crash, Ubuntu 12.10 alpha with all updates installed, 64-bit.
Crashed when I tried to open .gz archive.

i got this error.

i use "$ sudo apt-get install rar" and worked.

Olivier Tilloy (osomon) wrote :

This crash also happens to me when opening an RPM file (ftp://ftp.icm.edu.pl/vol/rzm2/linux-fedora-secondary/releases/15/Everything/source/SRPMS/libsocialweb-0.25.16-1.fc15.src.rpm).

file-roller 3.5.92-0ubuntu1
12.10 fully up-to-date

Happened for me with quantal and a 7zip file

Ian Nicholson (imnichol) wrote :

Occurred for me running quantal with a .rar

CheolHan Yoon (mait) wrote :

Occurred when extract .7z file without p7zip package.

Brian Neltner (neltnerb) wrote :

happened to me on a zip file which I was able to unzip without a problem via the command line "unzip" program.

This happened to me when extracting via SSH (Nautilus Menu File -> Connect to Server...) and then double clicked a tar.gz file.
I was running the latest updated Ubuntu 12.10.

I experienced this issue on Ubuntu 13.04 Daily, while extracting an iso file from a tar.gz

Daniel Winzen (q-d) on 2013-03-06
tags: added: raring

Occured while extracting the linux kernel from a .tar.xz file using the 'extract to' option in thunar

~$ apt-cache policy file-roller thunar tar
file-roller:
  Installed: 3.6.3-1ubuntu4
  Candidate: 3.6.3-1ubuntu4
  Version table:
 *** 3.6.3-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ raring/main amd64 Packages
        100 /var/lib/dpkg/status
thunar:
  Installed: 1.6.2-0ubuntu1
  Candidate: 1.6.2-0ubuntu1
  Version table:
 *** 1.6.2-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ raring/universe amd64 Packages
        100 /var/lib/dpkg/status
tar:
  Installed: 1.26+dfsg-0.1ubuntu1
  Candidate: 1.26+dfsg-0.1ubuntu1
  Version table:
 *** 1.26+dfsg-0.1ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ raring/main amd64 Packages
        100 /var/lib/dpkg/status

David Pires (slickymaster) wrote :

Occured while extracting libc6_2.17-0ubuntu5_i386.deb using 'extract to' option in thunar.

~$ apt-cache policy file-roller thunar tar
file-roller:
  Installed: 3.6.3-1ubuntu4
  Candidate: 3.6.3-1ubuntu4
  Version table:
 *** 3.6.3-1ubuntu4 0
        500 http://pt.archive.ubuntu.com/ubuntu/ saucy/main i386 Packages
        100 /var/lib/dpkg/status
thunar:
  Installed: 1.6.2-0ubuntu1
  Candidate: 1.6.2-0ubuntu1
  Version table:
 *** 1.6.2-0ubuntu1 0
        500 http://pt.archive.ubuntu.com/ubuntu/ saucy/universe i386 Packages
        100 /var/lib/dpkg/status
tar:
  Installed: 1.26+dfsg-5
  Candidate: 1.26+dfsg-5
  Version table:
 *** 1.26+dfsg-5 0
        500 http://pt.archive.ubuntu.com/ubuntu/ saucy/main i386 Packages
        100 /var/lib/dpkg/status

Daniel Winzen (q-d) on 2013-08-26
tags: added: saucy
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers